Bug 28366 - Add batch patron modification to patron search results
Summary: Add batch patron modification to patron search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 29971
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-17 17:21 UTC by Owen Leonard
Modified: 2024-01-31 09:43 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact: Philip Orr
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/828
Text to go in the release notes:
Version(s) released in:
23.05.00


Attachments
Bug 28366: Add batch patron modification to patron search results (8.32 KB, patch)
2023-02-14 15:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28366: Add batch patron modification to patron search results (8.39 KB, patch)
2023-03-08 19:30 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 28366: Add batch patron modification to patron search results (8.44 KB, patch)
2023-03-24 17:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-05-17 17:21:43 UTC
I think it would be useful to be able to pass checked patron search results to batch patron modification without going through the step of adding them to a list.
Comment 1 Owen Leonard 2023-02-14 15:52:27 UTC Comment hidden (obsolete)
Comment 2 Laura Escamilla 2023-03-06 13:42:28 UTC Comment hidden (obsolete)
Comment 3 ByWater Sandboxes 2023-03-08 19:30:55 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2023-03-24 17:46:46 UTC
Created attachment 148688 [details] [review]
Bug 28366: Add batch patron modification to patron search results

This patch adds the ability to send selected patrons for batch
modification. It does this by adding a hidden form which is populated
from the borrowernumbers stored in the browser's localStorage when
selections are made.

To test, apply the patch and perform a patron search in the staff client
which will return multiple pages of results.

- Select a patron on the first page of results.
- The "Add to patron list" and "Batch patron modification" buttons
  should become active, and the "Patrons selected" box should show "1"
- After checking another checkbox the "Merge selected patrons" button
  should activate and the "selected" count should increment.
- Test making selections on other pages of results. The "selected" count
  should continue to increment.
- Test the "Batch patron modification" button, confirming that all the
  patrons you selected are correctly passed to the batch patron
  modification tool.
- Test that the "Clear" control works correctly to clear all checkboxes
  and disable all other buttons.
- Test that the "Select all" and "Clear all" controls work correctly,
  enabling all buttons and correctly incrementing the "selected" count.

Signed-off-by: Laura Escamilla <laura.escamilla@bywatersolutions.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2023-05-15 21:16:53 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Pedro Amorim 2023-06-05 16:55:23 UTC
Enhancement. Not pushed to 22.11.07.
Comment 7 Philip Orr 2024-01-23 16:27:51 UTC
The patron search section of the manual should be completely updated
since it doesn't currently list any of the things you can do with
selected patrons.
I'll update that section and add a text about linking to batch
patron modification from patron search results.